GTXclient C++ API GTXserver-16.0.2

- Main Page
- Related Pages
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
GTXWireframeObject Class Reference

Class for handling individual objects of wireframes. More...

`#include <GTXWireframeObject.hpp>`

## Public Member Functions
| GTXWireframeObject ()
| Empty Constructor.
| GTXWireframeObject (const GTXWireframeObject &object)
| Copy Constructor.
GTXWireframeObject | operator= (const GTXWireframeObject &object)
| Equal Operator.
| ~GTXWireframeObject ()
| Destructor.
int | GetVerticesNumber () const
| Get the number of vertices of a Wireframe Object. More...
double | GetVertexX (int rank) const
| Get X value of a Wireframe Object vertex. More...
double | GetVertexY (int rank) const
| Get Y value of a Wireframe Object vertex. More...
double | GetVertexZ (int rank) const
| Get Z value of a Wireframe Object vertex. More...
int | GetTrianglesNumber () const
| Get the number of triangles of a Wireframe Object. More...
int | GetTrianglePt1 (int rank) const
| Get first point index of a Wireframe Object triangle. More...
int | GetTrianglePt2 (int rank) const
| Get second point index of a Wireframe Object triangle. More...
int | GetTrianglePt3 (int rank) const
| Get third point index of a Wireframe Object triangle. More...
void | AddVertex (double x, double y, double z)
| Add a vertex to a Wireframe Object. More...
void | AddTriangle (int pt1, int pt2, int pt3)
| Add a triangle to a Wireframe Object. More...

## Friends
class | GTXClient
class | GTXWireframe

## Detailed Description

Class for handling individual objects of wireframes.

Examples:
  wireframes.cpp.

## Member Function Documentation

void GTXWireframeObject::AddTriangle | ( | int | pt1,
|  | int | pt2,
|  | int | pt3
| ) |  |

Add a triangle to a Wireframe Object.

This function appends a triangle to the shape of a Wireframe Object

Examples:
  wireframes.cpp.

void GTXWireframeObject::AddVertex | ( | double | x,
|  | double | y,
|  | double | z
| ) |  |

Add a vertex to a Wireframe Object.

This function appends a vertex to the vertices of a Wireframe Object

Remarks:
  coordinates are expressed in the current unit or in the current X,Y,Z units depending on the Unit Mode (

See Also
  GTXClient::SetUnitMode)

Examples:
  wireframes.cpp.

int GTXWireframeObject::GetTrianglePt1 | ( | int | rank | ) | const

Get first point index of a Wireframe Object triangle.

This function gets the first point index for the i'th triangle of a Wireframe Object

Returns
  first point index (between 0 and n_vertices-1)

Examples:
  wireframes.cpp.

int GTXWireframeObject::GetTrianglePt2 | ( | int | rank | ) | const

Get second point index of a Wireframe Object triangle.

This function gets the second point index for the i'th triangle of a Wireframe Object

Returns
  second point index (between 0 and n_vertices-1)

Examples:
  wireframes.cpp.

int GTXWireframeObject::GetTrianglePt3 | ( | int | rank | ) | const

Get third point index of a Wireframe Object triangle.

This function gets the third point index for the i'th triangle of a Wireframe Object

Returns
  third point index (between 0 and n_vertices-1)

Examples:
  wireframes.cpp.

int GTXWireframeObject::GetTrianglesNumber | ( |  | ) | const

Get the number of triangles of a Wireframe Object.

This function returns the number of triangles of a Wireframe Object

Returns
  number of triangles

Examples:
  wireframes.cpp.

double GTXWireframeObject::GetVertexX | ( | int | rank | ) | const

Get X value of a Wireframe Object vertex.

This function gets the X value from the i'th vertex of a Wireframe Object

Returns
  Returned double value (expressed in current unit or current X unit)

Examples:
  wireframes.cpp.

double GTXWireframeObject::GetVertexY | ( | int | rank | ) | const

Get Y value of a Wireframe Object vertex.

This function gets the Y value from the i'th vertex of a Wireframe Object

Returns
  Returned double value (expressed in current unit or current Y unit)

Examples:
  wireframes.cpp.

double GTXWireframeObject::GetVertexZ | ( | int | rank | ) | const

Get Z value of a Wireframe Object vertex.

This function gets the Z value from the i'th vertex of a Wireframe Object

Returns
  Returned double value (expressed in current unit or current Z unit)

Examples:
  wireframes.cpp.

int GTXWireframeObject::GetVerticesNumber | ( |  | ) | const

Get the number of vertices of a Wireframe Object.

This function returns the number of vertices of a Wireframe Object

Returns
  number of vertices

Examples:
  wireframes.cpp.

The documentation for this class was generated from the following files:

- include/GTXWireframeObject.hpp
- src/gtxclient/GTXWireframeObject.cpp